Test how a spoken title is matched
POST
/api/v1/match
const url = 'https://example.com/api/v1/match';const options = { method: 'POST', headers: { cookie: 'encore_session=<encore_session>', 'Content-Type': 'application/json' }, body: '{"kinds":["movie"],"library_id":1,"query":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/match \ --header 'Content-Type: application/json' \ --cookie encore_session=<encore_session> \ --data '{ "kinds": [ "movie" ], "library_id": 1, "query": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
kinds
Array<string>
library_id
required
integer format: int64
query
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
candidates
required
Array<object>
object
breakdown
required
object
alias
required
string
boost
required
number format: double
jaro_winkler
required
number format: double
osa
required
number format: double
phonetic
required
number format: double
token_set
required
number format: double
kind
required
string
media_id
required
integer format: int64
score
required
number format: double
title
required
string
year
required
integer format: int64
decision
required
string
margin
required
number format: double
normalized
required
string
Example
{ "decision": "play"}default
Section titled “default”Error
Media typeapplication/problem+json
object
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}